XML11NamespaceBinder (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl

## Class XML11NamespaceBinder

- java.lang.Object
- - org.apache.xerces.impl.XMLNamespaceBinder
  - - org.apache.xerces.impl.XML11NamespaceBinder

- All Implemented Interfaces:
    org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.parser.XMLDocumentSource, org.apache.xerces.xni.XMLDocumentHandler

      public class XML11NamespaceBinder
      extends XMLNamespaceBinder

  This class performs namespace binding on the startElement and endElement method calls in accordance with Namespaces in XML 1.1. It extends the standard, Namespace-1.0-compliant binder in order to do this.
  Version:
    $Id: XML11NamespaceBinder.java 446761 2006-09-15 21:59:29Z mrglavas $
  Author:
    Neil Graham, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.XMLNamespaceBinder

      `ERROR_REPORTER, fDocumentHandler, fDocumentSource, fErrorReporter, fNamespaces, fOnlyPassPrefixMappingEvents, fSymbolTable, NAMESPACES, SYMBOL_TABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11NamespaceBinder()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `prefixBoundToNullURI(java.lang.String uri, java.lang.String localpart)`

    - ### Methods inherited from class org.apache.xerces.impl.XMLNamespaceBinder

      `characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentHandler, getDocumentSource, getFeatureDefault, getOnlyPassPrefixMappingEvents, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, ignorableWhitespace, processingInstruction, reset, setDocumentHandler, setDocumentSource, setFeature, setOnlyPassPrefixMappingEvents, setProperty, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, xmlDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11NamespaceBinder

          public XML11NamespaceBinder()

      Default constructor.

  - ### Method Detail

    - #### prefixBoundToNullURI

          protected boolean prefixBoundToNullURI(java.lang.String uri,
                                                 java.lang.String localpart)

      Overrides:
        `prefixBoundToNullURI` in class `XMLNamespaceBinder`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.